:root {
    --bg-color: #000;
    --text-color: #fff;
    --accent: #D30000;
    --radius: 60px;
}

html {
  scroll-behavior: smooth;
}

body {
  font-family: "Montserrat", sans-serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
  font-size: 16px;
  background: var(--bg-color);
  color: var(--text-color);
}

.sekuya {
  font-family: "Sekuya", system-ui;
  font-weight: 400;
  font-style: normal;
}

.changa {
  font-family: "Changa One", sans-serif;
  font-weight: 400;
  font-style: normal;
  line-height: 90%;
}


.header{
    background: 000;
    background: linear-gradient(0deg, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 1) 100%);
    position: fixed;
    top: 0;
    z-index: 100;
}

.hero__frase h1{
    font-weight: 900;
    font-size: clamp(3.5rem, 8vw, 9.5rem);
    line-height: 80%;
}

.nav{
    position: fixed;
    bottom: 25px;
    padding: 15px 30px;
    background: rgba(0,0,0,0.0.5);
    border: 1px solid #252525;
    border-radius: var(--radius);
    margin: auto;
    left: 0;
    right: 0;
    width: 355px;
    z-index: 100;
    backdrop-filter: blur(20px);
    transition: bottom 0.3s ease; 
}

/* Esta clase se activará cuando "choque" con el footer */
.nav.is-stopped {
    position: absolute;
    bottom: 0; /* Se pega al borde superior del footer */
}

.nav a{
    font-size: 12px;
    text-transform: uppercase;
    letter-spacing: 1px;
    margin: 0 15px;
}

main{
    width: 100%;
    transform: scale(1);
    will-change: transform;
    transition: none !important;
    overflow: hidden;
}

.estamos{
    font-size: 12px;
    text-transform: uppercase;
    letter-spacing: 1px;
}

.marcas__all {
    overflow: hidden;
    width: 100%;
    background: transparent; 
    position: relative;
}

.marcas__track {
    display: flex;
    flex-wrap: nowrap; 
    width: 100vw;
    will-change: transform;
}

.marcas__wrapp {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 140px; 
    padding-right: 140px; 
    flex-shrink: 0;
}

.marcas__item {
    flex: 0 0 auto;
    display: flex;
    align-items: center;
    justify-content: center;
}

.marcas__degradado{
    position: absolute;
    width: 300px;
    height: 100%;
    z-index: 90;
    left: 0;
    top: 0;
    background: linear-gradient(270deg, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 1) 100%);
}
.marcas__degradado--2{
    right: 0;
    left: initial;
    transform: rotate(180deg);
}

.load {
    will-change: transform, opacity;
}

#halftoneCanvas {
    display: block;
    width: 100%;
    height: 100%;
}

.servicios{
    background: url(../images/bg-servicios.png) no-repeat center / cover;
    height: 650px;
}

.servicios__interna{
    background: url(../images/bg-servicios.png) no-repeat center / cover;
    padding-top: 10rem;
}

.servicios__interna .servicios__item{
    text-align: left;
}


.servicios__item{
    background: rgba(0,0,0,0.1);
    text-align: center;
    border-radius: 20px;
    backdrop-filter: blur(20px);
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.plus{
    position: absolute;
  bottom: -24px;
  left: 0;
  right: 0;
  margin: auto;
}


.img svg{
    margin: auto;
}
.img--home svg{
    width: 100px;
}
.img--roll svg{
    width: 160px;
}
.img--interna svg{
    width: 260px;
}
.img--portada svg{
    width: 160px;
}
.img svg path{
    fill: #fff;
}


.datos{
    padding: 10rem 0;
}

.datos__item {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 2rem;
    color: var(--text-color);
    width: 350px;
}

.datos__item:nth-child(2){
    width: 380px;
}

.datos__mas {
    position: absolute;
    top: 2rem; 
    left: 0.5rem;
    font-size: 3.5rem;
    font-weight: 700;
    line-height: 1;
    z-index: 10;
}

.datos__numero {
    position: relative;
    color: var(--accent);
    font-size: 250px;
    font-weight: 800;
    line-height: 0.9;
    letter-spacing: -0.05em;
    margin-bottom: 0.5rem;
    --value: "0"
}

.datos__titulo {
    font-size: 2rem;
    font-weight: 700;
    text-transform: uppercase;
    letter-spacing: 1px;
    margin-top: -10px; 
}

.datos__item p {
    color: var(--text-color);
    line-height: 1.5;
    margin-top: 1rem;
}

.datos__titulo, .datos__item p{
    margin-left: 3rem;
}

.datos__linea{
    height: 100%;
    position: absolute;
    width: 2px;
    margin: auto;
    left: 0;
    right: 0;
    background: var(--accent);
    background: linear-gradient(0deg, #000 0%, #D30000 50%, #000 100%);
}
#dotsCanvas {
    width: 100%;
    height: 100%;
    display: block; /* Evita espacios extra abajo */
}

.resena__wrapp--testimonial{
    padding: 25px 50px;
    /* clip-path: polygon(0 20%, 15% 0, 100% 0, 100% 80%, 85% 100%, 0 100%); */
    background: rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(20px);
    border-radius: 20px;
    margin-bottom: 8px;
    border: 1px solid #222;
}

canvas {
    display: block; /* Quita espacios extra */
}


.resena{
    padding: 3rem 0 0 0;
    background: url(../images/bg-footer.png) no-repeat bottom center;
}

.resena__item--absolute{
    position: absolute;
  right: -120px;
  top: 50px;
}


footer{
    padding: 20rem 0 0 0;
}

#infinite-container {
    height: 600px;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1;
}

#infinite-container canvas {
    pointer-events: none; /* Permite que el mouse pase "a través" si hay botones debajo */
    max-width: 100%;
}



@media (max-width: 1024px){
    .servicios{
        height: 100%;
    }
    .resena__item--absolute{
        position: absolute;
        right: 0;
        top: 50px;
    }
}